Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.hl7v2.impl
Class DocumentRootImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.ohf.ihe.common.hl7v2.impl.DocumentRootImpl

All Implemented Interfaces:
  org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.InternalEObject, DocumentRoot

    public class DocumentRootImpl

extends org.eclipse.emf.ecore.impl.EObjectImpl
implements DocumentRoot

An implementation of the model object 'Document Root'.

The following features are implemented:

- `Mixed`
- `XMLNS Prefix Map`
- `XSI Schema Location`
- `Cx`
- `Dtm`
- `Source Patient Info`
- `Xad`
- `Xcn`
- `Xon`
- `Xpn`
- `Xtn`

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`ELAST_EOBJECT_FLAG`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Method Summary
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetCx(CX newCx, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetSourcePatientInfo(SourcePatientInfoType newSourcePatientInfo, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetXad(XAD newXad, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetXcn(XCN newXcn, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetXon(XON newXon, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetXpn(XPN newXpn, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetXtn(XTN newXtn, org.eclipse.emf.common.notify.NotificationChain msgs)`
`java.lang.Object` | `eGet(int featureID, boolean resolve, boolean coreType)`
`org.eclipse.emf.common.notify.NotificationChain` | `eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
`boolean` | `eIsSet(int featureID)`
`void` | `eSet(int featureID, java.lang.Object newValue)`
`void` | `eUnset(int featureID)`
`CX` | `getCx()`
`java.lang.String` | `getDtm()`
`org.eclipse.emf.ecore.util.FeatureMap` | `getMixed()`
`SourcePatientInfoType` | `getSourcePatientInfo()`
`XAD` | `getXad()`
`XCN` | `getXcn()`
`org.eclipse.emf.common.util.EMap` | `getXMLNSPrefixMap()`
`XON` | `getXon()`
`XPN` | `getXpn()`
`org.eclipse.emf.common.util.EMap` | `getXSISchemaLocation()`
`XTN` | `getXtn()`
`void` | `setCx(CX newCx)`
`void` | `setDtm(java.lang.String newDtm)`
`void` | `setSourcePatientInfo(SourcePatientInfoType newSourcePatientInfo)`
`void` | `setXad(XAD newXad)`
`void` | `setXcn(XCN newXcn)`
`void` | `setXon(XON newXon)`
`void` | `setXpn(XPN newXpn)`
`void` | `setXtn(XTN newXtn)`
`java.lang.String` | `toString()`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eIsProxy, eSetClass, eSetDeliver, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eContainer, eContainingFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseAdd, eInverseRemove, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eStore, eUnset, eURIFragmentSegment, eVirtualGet, eVirtualGet, eVirtualIsSet, eVirtualSet, eVirtualUnset`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Method Detail

### getMixed

    public org.eclipse.emf.ecore.util.FeatureMap getMixed()

  Specified by:
    `getMixed` in interface `DocumentRoot`
  Returns:
    the value of the 'Mixed' attribute list.
  See Also:
    `Hl7v2Package.getDocumentRoot_Mixed()`

### getXMLNSPrefixMap

    public org.eclipse.emf.common.util.EMap getXMLNSPrefixMap()

  Specified by:
    `getXMLNSPrefixMap` in interface `DocumentRoot`
  Returns:
    the value of the 'XMLNS Prefix Map' map.
  See Also:
    `Hl7v2Package.getDocumentRoot_XMLNSPrefixMap()`

### getXSISchemaLocation

    public org.eclipse.emf.common.util.EMap getXSISchemaLocation()

  Specified by:
    `getXSISchemaLocation` in interface `DocumentRoot`
  Returns:
    the value of the 'XSI Schema Location' map.
  See Also:
    `Hl7v2Package.getDocumentRoot_XSISchemaLocation()`

### getCx

    public CX getCx()

  Specified by:
    `getCx` in interface `DocumentRoot`
  Returns:
    the value of the 'Cx' containment reference.
  See Also:
    `DocumentRoot.setCx(CX)`, `Hl7v2Package.getDocumentRoot_Cx()`

### basicSetCx

    public org.eclipse.emf.common.notify.NotificationChain basicSetCx(CX newCx,
                                                                      org.eclipse.emf.common.notify.NotificationChain msgs)

### setCx

    public void setCx(CX newCx)

  Specified by:
    `setCx` in interface `DocumentRoot`
  Parameters:
    `newCx` - the new value of the 'Cx' containment reference.
  See Also:
    `DocumentRoot.getCx()`

### getDtm

    public java.lang.String getDtm()

  Specified by:
    `getDtm` in interface `DocumentRoot`
  Returns:
    the value of the 'Dtm' attribute.
  See Also:
    `DocumentRoot.setDtm(String)`, `Hl7v2Package.getDocumentRoot_Dtm()`

### setDtm

    public void setDtm(java.lang.String newDtm)

  Specified by:
    `setDtm` in interface `DocumentRoot`
  Parameters:
    `newDtm` - the new value of the 'Dtm' attribute.
  See Also:
    `DocumentRoot.getDtm()`

### getSourcePatientInfo

    public SourcePatientInfoType getSourcePatientInfo()

  Specified by:
    `getSourcePatientInfo` in interface `DocumentRoot`
  Returns:
    the value of the 'Source Patient Info' containment reference.
  See Also:
    `DocumentRoot.setSourcePatientInfo(SourcePatientInfoType)`, `Hl7v2Package.getDocumentRoot_SourcePatientInfo()`

### basicSetSourcePatientInfo

    public org.eclipse.emf.common.notify.NotificationChain basicSetSourcePatientInfo(SourcePatientInfoType newSourcePatientInfo,
                                                                                     org.eclipse.emf.common.notify.NotificationChain msgs)

### setSourcePatientInfo

    public void setSourcePatientInfo(SourcePatientInfoType newSourcePatientInfo)

  Specified by:
    `setSourcePatientInfo` in interface `DocumentRoot`
  Parameters:
    `newSourcePatientInfo` - the new value of the 'Source Patient Info' containment reference.
  See Also:
    `DocumentRoot.getSourcePatientInfo()`

### getXad

    public XAD getXad()

  Specified by:
    `getXad` in interface `DocumentRoot`
  Returns:
    the value of the 'Xad' containment reference.
  See Also:
    `DocumentRoot.setXad(XAD)`, `Hl7v2Package.getDocumentRoot_Xad()`

### basicSetXad

    public org.eclipse.emf.common.notify.NotificationChain basicSetXad(XAD newXad,
                                                                       org.eclipse.emf.common.notify.NotificationChain msgs)

### setXad

    public void setXad(XAD newXad)

  Specified by:
    `setXad` in interface `DocumentRoot`
  Parameters:
    `newXad` - the new value of the 'Xad' containment reference.
  See Also:
    `DocumentRoot.getXad()`

### getXcn

    public XCN getXcn()

  Specified by:
    `getXcn` in interface `DocumentRoot`
  Returns:
    the value of the 'Xcn' containment reference.
  See Also:
    `DocumentRoot.setXcn(XCN)`, `Hl7v2Package.getDocumentRoot_Xcn()`

### basicSetXcn

    public org.eclipse.emf.common.notify.NotificationChain basicSetXcn(XCN newXcn,
                                                                       org.eclipse.emf.common.notify.NotificationChain msgs)

### setXcn

    public void setXcn(XCN newXcn)

  Specified by:
    `setXcn` in interface `DocumentRoot`
  Parameters:
    `newXcn` - the new value of the 'Xcn' containment reference.
  See Also:
    `DocumentRoot.getXcn()`

### getXon

    public XON getXon()

  Specified by:
    `getXon` in interface `DocumentRoot`
  Returns:
    the value of the 'Xon' containment reference.
  See Also:
    `DocumentRoot.setXon(XON)`, `Hl7v2Package.getDocumentRoot_Xon()`

### basicSetXon

    public org.eclipse.emf.common.notify.NotificationChain basicSetXon(XON newXon,
                                                                       org.eclipse.emf.common.notify.NotificationChain msgs)

### setXon

    public void setXon(XON newXon)

  Specified by:
    `setXon` in interface `DocumentRoot`
  Parameters:
    `newXon` - the new value of the 'Xon' containment reference.
  See Also:
    `DocumentRoot.getXon()`

### getXpn

    public XPN getXpn()

  Specified by:
    `getXpn` in interface `DocumentRoot`
  Returns:
    the value of the 'Xpn' containment reference.
  See Also:
    `DocumentRoot.setXpn(XPN)`, `Hl7v2Package.getDocumentRoot_Xpn()`

### basicSetXpn

    public org.eclipse.emf.common.notify.NotificationChain basicSetXpn(XPN newXpn,
                                                                       org.eclipse.emf.common.notify.NotificationChain msgs)

### setXpn

    public void setXpn(XPN newXpn)

  Specified by:
    `setXpn` in interface `DocumentRoot`
  Parameters:
    `newXpn` - the new value of the 'Xpn' containment reference.
  See Also:
    `DocumentRoot.getXpn()`

### getXtn

    public XTN getXtn()

  Specified by:
    `getXtn` in interface `DocumentRoot`
  Returns:
    the value of the 'Xtn' containment reference.
  See Also:
    `DocumentRoot.setXtn(XTN)`, `Hl7v2Package.getDocumentRoot_Xtn()`

### basicSetXtn

    public org.eclipse.emf.common.notify.NotificationChain basicSetXtn(XTN newXtn,
                                                                       org.eclipse.emf.common.notify.NotificationChain msgs)

### setXtn

    public void setXtn(XTN newXtn)

  Specified by:
    `setXtn` in interface `DocumentRoot`
  Parameters:
    `newXtn` - the new value of the 'Xtn' containment reference.
  See Also:
    `DocumentRoot.getXtn()`

### eInverseRemove

    public org.eclipse.emf.common.notify.NotificationChain eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd,
                                                                          int featureID,
                                                                          org.eclipse.emf.common.notify.NotificationChain msgs)

  Overrides:
    `eInverseRemove` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Specified by:
    `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eGet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Specified by:
    `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eUnset

    public void eUnset(int featureID)

  Specified by:
    `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eUnset` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eIsSet

    public boolean eIsSet(int featureID)

  Specified by:
    `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eIsSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD